Foreman - Bug #15704

Email configuration should use sendmail by default and not 'smtp.example.com
07/15/2016 10:32 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: E-Mail
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1292747 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3651
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1292747
Description of problem:

As a user | would like to have the default email configuration (specified in /etc/foreman/email.yml) to be changes to 'localhost' from
'smtp.example.com'’

The reasoning for this is the following:

e Almost every server system has a local MTA (even if all that MTA does is relay mail to another).

¢ If | mail-enable a user accidentally without specifying an MTA, many of my tasks that send email (repository sync or content
view promotion) end in a 'warning' state due to not being able to connect to 'smtp.example.com'’

¢ Having the email sent to my local MTA allows the MTA the ability to retry delivery, queue the message and various other mail
delivery tasks that MTA are good at.

Version-Release number of selected component (if applicable):
katello-2.2.0.16-1.el7sat.noarch
foreman-1.7.2.49-1.el7sat.noarch

Additional info:

Associated revisions

Revision 5ec3c382 - 07/18/2016 07:53 AM - Stephen Benjamin

fixes #15704 - use sendmail for email.yaml

Using sendmail instead of the smtp.example.com as a default gives
mail a chance of "just working" on a unix system. This example

file is copied to email.yaml in packaging, so with the current
settings, email always does not work as smtp.example.com does
not resolve.

History

#1 - 07/15/2016 10:39 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/foreman/pull/3651 added

#2 - 07/15/2016 10:43 AM - Stephen Benjamin
- Project changed from Katello to Foreman

- Subject changed from Satellite's email configuration should use 'localhost' by default and not 'smtp.example.com' to Email configuration should use
sendmail by default and not 'smtp.example.com’

- Category set to E-Mail
https://bugzilla.redhat.com/show_bug.cgi?id=1292747

#3 - 07/18/2016 08:02 AM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5ec3c382f054d7a750c3b230e70f4f0c99be3e96.

#4 - 07/18/2016 08:37 AM - Dominic Cleal

- translation missing: en.field_release set to 160

05/18/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5ec3c382f054d7a750c3b230e70f4f0c99be3e96
http://www.tcpdf.org

